## org.gnu.pango
Class Style

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.pango.Style

public class Style
extends org.gnu.glib.Enum

An enumeration specifying the various slant styles possible for a font.

Field Summary
`static Style` `ITALIC` the font is slanted in an italic style.
`static Style` `NORMAL` the font is upright.
`static Style` `OBLIQUE` the font is slanted, but in a roman style.

Method Summary
`Style` `and(Style other)`
`static Style` `intern(int value)`
`Style` `or(Style other)`
`boolean` `test(Style other)`
`Style` `xor(Style other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final Style NORMAL

  the font is upright.

### OBLIQUE

    public static final Style OBLIQUE

  the font is slanted, but in a roman style.

### ITALIC

    public static final Style ITALIC

  the font is slanted in an italic style.

Method Detail

### intern

    public static Style intern(int value)

### or

    public Style or(Style other)

### and

    public Style and(Style other)

### xor

    public Style xor(Style other)

### test

    public boolean test(Style other)